com.arthenica.ffmpegkit

## Enum LogRedirectionStrategy

- java.lang.Object
- - java.lang.Enum<LogRedirectionStrategy>
  - - com.arthenica.ffmpegkit.LogRedirectionStrategy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LogRedirectionStrategy>

      public enum LogRedirectionStrategy
      extends java.lang.Enum<LogRedirectionStrategy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS_PRINT_LOGS`
    `NEVER_PRINT_LOGS`
    `PRINT_LOGS_WHEN_GLOBAL_CALLBACK_NOT_DEFINED`
    `PRINT_LOGS_WHEN_NO_CALLBACKS_DEFINED`
    `PRINT_LOGS_WHEN_SESSION_CALLBACK_NOT_DEFINED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LogRedirectionStrategy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LogRedirectionStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALWAYS_PRINT_LOGS

          public static final LogRedirectionStrategy ALWAYS_PRINT_LOGS

    - #### PRINT_LOGS_WHEN_NO_CALLBACKS_DEFINED

          public static final LogRedirectionStrategy PRINT_LOGS_WHEN_NO_CALLBACKS_DEFINED

    - #### PRINT_LOGS_WHEN_GLOBAL_CALLBACK_NOT_DEFINED

          public static final LogRedirectionStrategy PRINT_LOGS_WHEN_GLOBAL_CALLBACK_NOT_DEFINED

    - #### PRINT_LOGS_WHEN_SESSION_CALLBACK_NOT_DEFINED

          public static final LogRedirectionStrategy PRINT_LOGS_WHEN_SESSION_CALLBACK_NOT_DEFINED

    - #### NEVER_PRINT_LOGS

          public static final LogRedirectionStrategy NEVER_PRINT_LOGS

  - ### Method Detail

    - #### values

          public static LogRedirectionStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LogRedirectionStrategy c : LogRedirectionStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LogRedirectionStrategy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null